agent_id: pdf-extractor
model: claude-haiku-4-6
squad: browser-and-automation
thread_type: P-Thread
purpose: Extract text and structured data from PDFs; contracts, permits, invoices, government documents
status: ready
created: 2026-02-24
